> ## Documentation Index
> Fetch the complete documentation index at: https://docs.replyify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Delivery

> Re-trigger a webhook delivery with the original payload

Re-sends the exact same payload to the subscription's endpoint. A new delivery log entry is created for the retry.

## Path Parameters

<ParamField path="id" type="string" required>
  Webhook subscription ID
</ParamField>

<ParamField path="deliveryId" type="string" required>
  Original delivery ID to retry
</ParamField>

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://app.replyify.ai/api/webhook-subscriptions/sub_123/deliveries/del_456/retry" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    "https://app.replyify.ai/api/webhook-subscriptions/sub_123/deliveries/del_456/retry",
    {
      method: "POST",
      headers: { Authorization: "Bearer YOUR_API_KEY" },
    }
  );
  const { success, delivery } = await response.json();
  ```
</CodeGroup>

## Response Example

```json theme={null}
{
  "success": true,
  "delivery": {
    "id": "uuid",
    "status_code": 200,
    "status": "delivered",
    "delivered_at": "2025-01-27T12:05:00Z",
    "created_at": "2025-01-27T12:05:00Z"
  }
}
```
